Knowledge base
REST reference
Knowledge Base API
Knowledge base articles (read-only).
List knowledge base articles
GET
/v1/knowledge_base/articlesCursor-paginated articles, newest first.
Required scope: knowledge_base:read.
Parameters
limitintegerPage size (1–100).
starting_afterstringCursor: the `id` of the last item from the previous page.
statusstringOne of: draft, published.
typestringOne of: public_article, internal_article.
Request
curl "https://api.asks.app/v1/knowledge_base/articles" \
-H "Authorization: Bearer $ASKS_API_KEY"Response 200
{
"object": "list",
"data": [
{
"object": "knowledge_base_article",
"id": "string",
"title": "string",
"content": "string",
"description": {},
"tags": [
"string"
],
"category": {},
"status": "draft",
"type": "public_article",
"is_public": true,
"ai_agent_enabled": true,
"indexed": true,
"created_at": {},
"updated_at": {}
}
],
"has_more": true,
"next_cursor": {}
}Retrieve a knowledge base article
GET
/v1/knowledge_base/articles/{id}Required scope: knowledge_base:read.
Request
curl "https://api.asks.app/v1/knowledge_base/articles/<id>" \
-H "Authorization: Bearer $ASKS_API_KEY"Response 200
{
"object": "knowledge_base_article",
"id": "string",
"title": "string",
"content": "string",
"description": {},
"tags": [
"string"
],
"category": {},
"status": "draft",
"type": "public_article",
"is_public": true,
"ai_agent_enabled": true,
"indexed": true,
"created_at": {},
"updated_at": {}
}